add_library(irgen STATIC
  IRGenDriver.cpp
  IRGenFunc.cpp
  IRGenStmt.cpp
  IRGenExp.cpp
  IRGenDecl.cpp
  IRGenConstEval.cpp
)

target_link_libraries(irgen PUBLIC
  build_options
  ${ANTLR4_RUNTIME_TARGET}
  ir
)
